#include <linux/ioctl.h>
#define USB_XCAMAC_MINOR_BASE   129   /* mknod /dev/xcamac c 180 129 */
//#define MAX_TRANS_BYTES       16384   /* 8192 x 2Byte */
#define MAX_TRANS_BYTES    1024*256
#define VID_PID_LOGITEC   0x7890004     
#define SCSI_ID                   0
/*--------------------------------------------------------------------------*/
/*  IOCTL COMMAND                                                           */
/*--------------------------------------------------------------------------*/
#define XCAMAC_IOC_MAGIC 'D'
#define INQUIRY _IOR(XCAMAC_IOC_MAGIC,  0, 0x31)
#define CAMACW  _IOWR(XCAMAC_IOC_MAGIC, 1, 0x2)
#define CAMACL  _IOWR(XCAMAC_IOC_MAGIC, 2, 0x4)
#define BLOCKW  _IOWR(XCAMAC_IOC_MAGIC, 3, MAX_TRANS_BYTES)
#define BLOCKL  _IOWR(XCAMAC_IOC_MAGIC, 4, MAX_TRANS_BYTES)
/*--------------------------------------------------------------------------*/
/*  3929 CAMAC COMMAND                                                      */
/*--------------------------------------------------------------------------*/
#define INQUIRY_3929    0x12
#define SINGLE_3929     0x09
#define BLOCK_3929      0x22
/*--------------------------------------------------------------------------*/
/*  DEBUG MODE                                                              */
/*--------------------------------------------------------------------------*/
#define DSNDCLR(x) 
#define DSNDCDB(x) 
#define DRCVDAT(x) 
#define DSNODAT(x) 
#define DSREAD(x)  
#define DCREAD(x)  
#define DSSENS(x) 
#define DSNDDAT(x) 
#define DSWRITE(x) 
#define DCHKCAM(x) 
#define DXIOCTL(x) 
#define DXOPEN(x)  
#define DPROBE(x)  x
#define DSSNDID(x)
//#define TIMEMEASURE
/*--------------------------------------------------------------------------*/
/*  INSMOD PARAMETER                                                        */
/*--------------------------------------------------------------------------*/
//static int scsi_id;
//MODULE_PARM(scsi_id, "i");
/*--------------------------------------------------------------------------*/
/*
struct xcamac_data{
        struct usb_device       *dev;
        int                     is_open;
        int                     is_busy;
        int                     present;
        wait_queue_head_t       wait_queue;
        int                     ep_inp;
        int                     ep_out;
        int                     scsi_id;
        int                     sense_key;
        int                     sense_code;
        int                     sense_qual;
};

static struct xcamac_data *global_xcamac;
*/
struct camac_single{
  unsigned int naf;
  unsigned int data;
  unsigned int qx;
};

struct camac_block{
  unsigned int naf;
  unsigned int mode;
  unsigned int ch;
  void *data;
  unsigned int retlen;
};

